import React from 'react';
import styled from 'styled-components';
import { clickable, primary, secondary } from '../../utils';
import defaultTheme from '../../theme';
export const StyledButton = styled.button({
    minWidth: '100px',
    height: '35px',
    borderRadius: '3em',
    opacity: 1,
    outline: 'none',
    padding: '0 2em',
}, (props) => (props.secondary ? secondary : primary), clickable);
StyledButton.defaultProps = {
    theme: defaultTheme,
};
export const AlignedDiv = styled.div((props) => ({
    textAlign: props.align,
    padding: '0.5em',
}));
export const Button = (props) => {
    if (!props.align) {
        return React.createElement(StyledButton, Object.assign({}, props));
    }
    return (React.createElement(AlignedDiv, { align: props.align },
        React.createElement(StyledButton, Object.assign({}, props))));
};
